This document includes math equations (highlighted in red) which are best viewed with Firefox version 4.0 or higher, or another MathML-aware browser. There is also a PDF version of this document.
libdevice User's Guide (PDF) - v7.0 (older) - Last updated March 5, 2015 - Send Feedback -

## 3.15. __nv_atanhf

Prototype:

    float @__nv_atanhf(float %x)

Description:

Calculate the arc hyperbolic tangent of the input argument `x`.

Returns:

- __nv_atanhf( ± 0 ) returns ± 0 .

- __nv_atanhf( ± 1 ) returns ± ∞ .

- __nv_atanhf(`x`) returns NaN for `x` outside interval [-1, 1].

Note:

For accuracy information for this function see the CUDA C Programming Guide, Appendix D.1, Table 6.

Library Availability:

Compute 2.0: Yes

Compute 3.0: Yes

Compute 3.5: Yes